> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a business financial account

> Link a bank account so the business can receive payouts. A business can only
add financial accounts for itself.



## OpenAPI

````yaml /api-reference/Businesses/openapi.yaml post /businesses/{id}/financialAccounts
openapi: 3.0.0
info:
  title: Businesses
  version: 0.1.0
  contact:
    name: Guile Engineering
    url: https://www.guile.app
    email: engineering@guile.app
  license:
    name: MIT
    url: https://opensource.org/license/mit
  description: >-
    The Business API provides operations for business registration on the Guile
    platform.
servers:
  - url: https://api.guile.app
    variables: {}
  - url: https://guile.fly.dev
    variables: {}
security: []
tags:
  - name: Businesses
    description: Business registration, balance, and payout setup
paths:
  /businesses/{id}/financialAccounts:
    post:
      tags:
        - Businesses
      summary: Add a business financial account
      description: >-
        Link a bank account so the business can receive payouts. A business can
        only

        add financial accounts for itself.
      operationId: addBusinessFinancialAccount
      parameters:
        - name: id
          in: path
          required: true
          description: The payment processor business identifier.
          schema:
            $ref: '#/components/schemas/resourceId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/addBusinessFinancialAccount'
      responses:
        '201':
          description: Created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/financialAccountReference'
        '400':
          description: >-
            Bad Request.

            The request body, request headers, and/or query parameters are not
            well-formed.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/badRequest](https://docs.guile.app/problems/badRequest)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '401':
          description: >-
            Unauthorized.

            The operation requires authentication but no authentication or
            insufficient authentication was given.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/unauthorized](https://docs.guile.app/problems/unauthorized)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '403':
          description: >-
            Forbidden.

            The authenticated caller is not authorized to perform the requested
            operation.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/forbidden](https://docs.guile.app/problems/forbidden)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '409':
          description: >-
            Conflict.

            The request conflicts with the state of the application.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/conflict](https://docs.guile.app/problems/conflict)

            *
            [https://docs.guile.app/problems/tooManyBusinessFinancialAccounts](https://docs.guile.app/problems/tooManyBusinessFinancialAccounts)

            *
            [https://docs.guile.app/problems/invalidPlaidToken](https://docs.guile.app/problems/invalidPlaidToken)

            *
            [https://docs.guile.app/problems/invalidPlaidAccountId](https://docs.guile.app/problems/invalidPlaidAccountId)

            *
            [https://docs.guile.app/problems/invalidAccountConfiguration](https://docs.guile.app/problems/invalidAccountConfiguration)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '422':
          description: >-
            Unprocessable Entity.

            The request body and/or query parameters were well-formed but
            otherwise invalid.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/unprocessableEntity](https://docs.guile.app/problems/unprocessableEntity)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
        '429':
          description: >-
            Too Many Requests.

            The client has sent too many requests in a given amount of time.



            This problem response may have one of the following `type` values:

            *
            [https://docs.guile.app/problems/tooManyRequests](https://docs.guile.app/problems/tooManyRequests)
          headers:
            Retry-After:
              required: true
              description: The number of seconds to wait before retrying the request.
              schema:
                type: integer
                format: uint32
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/apiProblem'
      security:
        - BearerAuth: []
components:
  schemas:
    resourceId:
      type: string
      description: >-
        The unique, opaque system identifier for a resource.

        This case-sensitive ID is also used as path parameters in URLs or in
        other

        properties or parameters that reference a resource by ID rather than
        URL.
    addBusinessFinancialAccount:
      type: object
      required:
        - account
      properties:
        account:
          oneOf:
            - $ref: '#/components/schemas/addPlaidFinancialAccount'
            - $ref: '#/components/schemas/createFinancialAccount'
          description: Representation of an account to add for the business.
        isDefault:
          type: boolean
          description: Indicates whether this account is the default account.
      description: >-
        Properties required to add a linked financial account within the Guile
        platform.
    financialAccountReference:
      type: object
      required:
        - routingNumber
        - type
        - isDefault
        - id
        - maskedAccountNumber
        - eligiblePayoutMethods
      properties:
        financialInstitutionName:
          type: string
          description: >-
            The name of the financial institution for this account, if
            available.
        routingNumber:
          type: string
          description: >-
            The routing and transit number associated with the financial
            account.
        type:
          allOf:
            - $ref: '#/components/schemas/financialAccountType'
          description: The type of financial account.
        isDefault:
          type: boolean
          description: >-
            Indicates whether this financial account is the default financial
            account.
        id:
          allOf:
            - $ref: '#/components/schemas/resourceId'
          description: The unique identifier for the financial account reference.
        maskedAccountNumber:
          type: string
          description: >-
            The masked financial account number. The last 4 digits of the
            account are unmasked.
        eligiblePayoutMethods:
          type: array
          items:
            $ref: '#/components/schemas/payoutMethod'
          description: Supported payout methods for this financial account.
      description: A read-only reference to a financial account.
    apiProblem:
      type: object
      required:
        - type
        - title
        - occurredAt
        - id
        - status
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/uri'
          description: A URI reference that identifies the problem type.
        title:
          type: string
          maxLength: 120
          description: >-
            A short, human-readable summary of the problem type. The title is
            usually the same for all

            problems with the same `type`.
        occurredAt:
          type: string
          format: date-time
          description: >-
            The date-time when this problem occurred, in [RFC
            3339](https://tools.ietf.org/html/rfc3339)

            date-time `YYYY-MM-DDThh:mm:ss.sssZ` format, UTC. This is derived
            and immutable.
        detail:
          type: string
          maxLength: 256
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        id:
          allOf:
            - $ref: '#/components/schemas/resourceId'
          description: >-
            The unique identifier for this problem. This is an immutable opaque
            string.
        status:
          allOf:
            - $ref: '#/components/schemas/statusCode'
          description: >-
            The [HTTP status
            code](https://datatracker.ietf.org/doc/html/rfc7231#section-6)for
            this

            occurrence of the problem.
        instance:
          allOf:
            - $ref: '#/components/schemas/uri'
          maxLength: 2048
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. This is the URI of an

            API resource that the problem is related to, with a unique error
            correlation ID URI fragment.
        attributes:
          type: object
          additionalProperties: {}
          description: >-
            Additional optional attributes related to the problem. This data
            conforms to the schema

            associated with the error type.
        recovery:
          allOf:
            - $ref: '#/components/schemas/clientFailureRecovery'
          description: The recovery contract for this problem occurrence.
        problems:
          type: array
          items:
            $ref: '#/components/schemas/problem'
          maxItems: 128
          description: |-
            Optional root-causes if there are multiple problems in the request
            or API call processing.
      description: >-
        API problem or error response, as per

        [RFC 9457
        application/problem+json](https://tools.ietf.org/html/rfc9457).
    addPlaidFinancialAccount:
      type: object
      required:
        - id
        - accessToken
      properties:
        id:
          type: string
          description: The identifier representing a financial account within Plaid.
        accessToken:
          type: string
          description: The Plaid access token for interacting with the Plaid API.
      description: Properties required to add a Plaid Financial Account to Stripe.
    createFinancialAccount:
      type: object
      required:
        - fullAccountNumber
        - routingNumber
        - type
        - isDefault
      properties:
        fullAccountNumber:
          type: string
          description: >-
            The unmasked financial account number. This value is only persisted
            in Guile's

            payment provider and is not included in logs or reports.
        financialInstitutionName:
          type: string
          description: >-
            The name of the financial institution for this account, if
            available.
        routingNumber:
          type: string
          description: >-
            The routing and transit number associated with the financial
            account.
        type:
          allOf:
            - $ref: '#/components/schemas/financialAccountType'
          description: The type of financial account.
        isDefault:
          type: boolean
          description: >-
            Indicates whether this financial account is the default financial
            account.
      description: Representation of a account at a financial institution.
    financialAccountType:
      type: string
      enum:
        - checking
        - savings
        - moneyMarket
        - cashManagement
        - other
      description: The account type for depository financial accounts.
    payoutMethod:
      type: string
      enum:
        - standard
        - instant
      description: |-
        The method used for the payout.
        Standard typically means T+2 days through ACH batch processing.
        Instant expediates payments for an additional processing fee.
        Instant payouts be be limited based on availability and other factors.
    uri:
      type: string
      maxLength: 1024
      format: uri
      description: A URI reference to an internal or external resource.
    statusCode:
      type: integer
      format: uint16
      minimum: 100
      maximum: 599
      description: The HTTP status code for a response.
    clientFailureRecovery:
      type: object
      required:
        - outcome
        - retry
      properties:
        outcome:
          allOf:
            - $ref: '#/components/schemas/clientFailureOutcome'
          description: The known outcome of the request.
        retry:
          allOf:
            - $ref: '#/components/schemas/clientRetryDirective'
          description: The safe retry action for the request.
        sessionAction:
          allOf:
            - $ref: '#/components/schemas/clientSessionAction'
          description: The session action required before the request can continue.
        rateLimit:
          allOf:
            - $ref: '#/components/schemas/rateLimit'
          description: The rate limit state that prevented the request.
      description: The recovery contract for a failed client request.
    problem:
      type: object
      required:
        - type
        - title
        - occurredAt
        - id
        - status
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/uri'
          description: A URI reference that identifies the problem type.
        title:
          type: string
          maxLength: 120
          description: >-
            A short, human-readable summary of the problem type. The title is
            usually the same for all

            problems with the same `type`.
        occurredAt:
          type: string
          format: date-time
          description: >-
            The date-time when this problem occurred, in [RFC
            3339](https://tools.ietf.org/html/rfc3339)

            date-time `YYYY-MM-DDThh:mm:ss.sssZ` format, UTC. This is derived
            and immutable.
        detail:
          type: string
          maxLength: 256
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        id:
          allOf:
            - $ref: '#/components/schemas/resourceId'
          description: >-
            The unique identifier for this problem. This is an immutable opaque
            string.
        status:
          allOf:
            - $ref: '#/components/schemas/statusCode'
          description: >-
            The [HTTP status
            code](https://datatracker.ietf.org/doc/html/rfc7231#section-6)for
            this

            occurrence of the problem.
        instance:
          allOf:
            - $ref: '#/components/schemas/uri'
          maxLength: 2048
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. This is the URI of an

            API resource that the problem is related to, with a unique error
            correlation ID URI fragment.
        attributes:
          type: object
          additionalProperties: {}
          description: >-
            Additional optional attributes related to the problem. This data
            conforms to the schema

            associated with the error type.
      description: >-
        Standard problem or error response, as per

        [RFC 9457
        application/problem+json](https://tools.ietf.org/html/rfc9457).
    clientFailureOutcome:
      type: string
      enum:
        - notApplied
        - unknown
      description: The known outcome of a failed client request.
    clientRetryDirective:
      type: string
      enum:
        - doNotRetry
        - retrySameRequest
        - retrySameRequestAfterDelay
      description: The safe retry action for a failed client request.
    clientSessionAction:
      type: string
      enum:
        - refresh
        - signIn
      description: The session action required before a failed request can continue.
    rateLimit:
      type: object
      required:
        - limit
        - remaining
        - resetsAt
      properties:
        limit:
          type: integer
          format: uint64
          description: The maximum number of requests allowed in the active window.
        remaining:
          type: integer
          format: uint64
          description: The number of requests remaining in the active window.
        resetsAt:
          type: string
          format: date-time
          description: >-
            The date-time when the active window resets, in [RFC
            3339](https://tools.ietf.org/html/rfc3339) date-time
            `YYYY-MM-DDThh:mm:ss.sssZ` format, UTC.
      description: The rate limit state for the request.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````